import request from '@/utils/request'

// 查询药品使用记录列表
export function listUsageInfo(query) {
  return request({
    url: '/biosafety/usageInfo/list',
    method: 'get',
    params: query
  })
}

// 查询药品使用记录详细
export function getUsageInfo(id) {
  return request({
    url: '/biosafety/usageInfo/' + id,
    method: 'get'
  })
}

// 新增药品使用记录
export function addUsageInfo(data) {
  return request({
    url: '/biosafety/usageInfo',
    method: 'post',
    data: data
  })
}

// 修改药品使用记录
export function updateUsageInfo(data) {
  return request({
    url: '/biosafety/usageInfo',
    method: 'put',
    data: data
  })
}

// 删除药品使用记录
export function delUsageInfo(id) {
  return request({
    url: '/biosafety/usageInfo/' + id,
    method: 'delete'
  })
}
